--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to apply MDD change 13_298
--
-- Parameters : 1 - Home directory of the B-Smart installation (typically $MDB_HOME)
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release             05/07/2013  M Davenport       10.0.004
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
PROMPT
PROMPT Script to apply MDD change 13_298
PROMPT
PROMPT Version 10.0.004
PROMPT
--
-- DEFINE mdb_home = &1
--
PROMPT
PROMPT Amend name for SCHE as SUP (and GAO) to 'SSE Energy Supply Ltd'. (MDD 13/298)
PROMPT Note that GAO entry also has their name amended though not specifically mentioned in the MDD change
PROMPT This is because B-Smart Install added these additional generic rows and so must maintain them.
--
SET SCAN OFF
--
DECLARE
  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);


BEGIN

  
 EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT 
			SET MARKET_PARTICIPANT_NAME = ''SSE Energy Supply Ltd'',
			LAST_UPDATE_USER_ID = USER,
			LAST_UPDATE_DATE = SYSDATE
		WHERE	MARKET_PARTICIPANT_CODE = ''SCHE''';
	
 EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
			SET MARKET_PARTICIPANT_ROLE_NAME = ''SSE Energy Supply Ltd (GAO)'',
			LAST_UPDATE_USER_ID = USER,
			LAST_UPDATE_DATE = SYSDATE
		WHERE	MARKET_PARTICIPANT_CODE = ''SCHE''
		AND	MARKET_PARTICIPANT_ROLE_CODE = ''GAO''';


EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
			SET MARKET_PARTICIPANT_ROLE_NAME = ''SSE Energy Supply Ltd (SUP)'',
			LAST_UPDATE_USER_ID = USER,
			LAST_UPDATE_DATE = SYSDATE
		WHERE	MARKET_PARTICIPANT_CODE = ''SCHE''
		AND	MARKET_PARTICIPANT_ROLE_CODE = ''SUP''';


EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/

SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
